Summary: Nameserver information handler
Name: resolvconf
Version: 1.79
Release: %mkrel 5
Source0: ftp://ftp.debian.org/debian/pool/main/r/resolvconf/%{name}_%{version}.tar.xz
Source1: list-by-metric
Source2: resolvconf.init
Source3: %{name}-tmpfiles.conf
# The dhclient hook is necessary for the network-up initscript to work
# when NetworkManager is disabled.
# We need to patch the dhclient hook to:
# - run only if resolvconf is actually enabled
# - use "<interface>" instead of "<interface>.dhclient" files, as expected by our initscripts
Patch0: resolvconf-1.79-dhclient-mga.patch
# allow /run/resolvconf/resolv.conf to be a symlink
Patch1: resolvconf-1.74-symlink.patch
Patch2: resolvconf-1.74-metric.patch
# use same level for eth* ath* wlan* ppp*, to sort them by metric
Patch3: resolvconf-1.74-notypeorder.patch
License: GPLv2+
Group: Networking/Other
Url: http://packages.debian.org/unstable/net/resolvconf
BuildArch: noarch
Requires(pre):   filesystem >= 2.1.9-18
Requires(posttrans):  systemd-units >= %{systemd_required_version}
Requires(posttrans):  rpm-helper
Requires(preun): rpm-helper

%description
Resolvconf is a framework for keeping track of the system's
information about currently available nameservers. It sets itself up
as the intermediary between programs that supply nameserver
information and programs that use nameserver information. Examples of
programs that supply nameserver information are: ifupdown, DHCP
clients, the PPP daemon and local nameservers. Examples of programs
that use this information are: DNS caches, resolver libraries and the
programs that use them.

%prep
%setup -q
%autopatch -p1

%build

%install
install -d %{buildroot}%{_sysconfdir}
cp -a etc/%{name} %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sysconfdir}/%{name}/update-libc.d
# remove patch backup files
rm -f %{buildroot}%{_sysconfdir}/%{name}/interface-order.*
rm -f %{buildroot}%{_sysconfdir}/%{name}/update.d/*.*

touch %{buildroot}%{_sysconfdir}/%{name}/resolv.conf.d/tail

install -d %{buildroot}/sbin
install bin/%{name} %{buildroot}/sbin
install -d %{buildroot}/lib/%{name}
install bin/list-records %{buildroot}/lib/%{name}
install -m 755 %{SOURCE1} %{buildroot}/lib/%{name}/list-by-metric
ln -s /run/%{name} %{buildroot}%{_sysconfdir}/%{name}/run

install -d %{buildroot}%{_initrddir}
install -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}

install -d %{buildroot}%{_sysconfdir}/dhclient-enter-hooks.d/
install -m 644 ./%{_sysconfdir}/dhcp/dhclient-enter-hooks.d/%{name} %{buildroot}%{_sysconfdir}/dhclient-enter-hooks.d/%{name}

# create tmpfiles directory
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

install -d %{buildroot}%{_mandir}/man{5,8}
install -m 644 man/interface-order.5 %{buildroot}%{_mandir}/man5
install -m 644 man/resolvconf.8 %{buildroot}%{_mandir}/man8

%triggerpostun -- resolvconf == 1.68-1.mga3
# tranform resolv.conf from a symlink back to a file
if [ -L /etc/resolv.conf ] && [ "$(readlink /etc/resolv.conf)" = "/run/resolvconf/resolv.conf" ]; then
   rm -f /etc/resolv.conf
   mv /run/resolvconf/resolv.conf /etc/resolv.conf
fi

%posttrans
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README COPYING
/sbin/%{name}
/lib/%{name}
%{_tmpfilesdir}/%{name}.conf
%{_initrddir}/%{name}
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/run
%config(noreplace) %{_sysconfdir}/%{name}/interface-order
%dir %{_sysconfdir}/%{name}/resolv.conf.d
%config(noreplace) %{_sysconfdir}/%{name}/resolv.conf.d/*
%dir %{_sysconfdir}/%{name}/update.d
%{_sysconfdir}/%{name}/update.d/*
%dir %{_sysconfdir}/%{name}/update-libc.d
%{_mandir}/man?/*
%{_sysconfdir}/dhclient-enter-hooks.d/%{name}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.79-5.mga8
+ Revision: 1507606
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%apply_patches

* Fri Sep 21 2018 umeabot <umeabot> 1.79-4.mga7
+ Revision: 1290766
- Mageia 7 Mass Rebuild

* Thu Sep 06 2018 tv <tv> 1.79-3.mga7
+ Revision: 1257497
- fix deps: requires -> requires(posttrans,preun)
- fix deps: systemd -> systemd-units

* Sat May 19 2018 blino <blino> 1.79-2.mga7
+ Revision: 1230407
- install (and patch) dhclient hook for network-up to work when NetworkManager is disabled, since network-up tries to find the resolvconf interface file to detect if network is up; this is necessary since the dhclient-script patch100 has been removed from the dhcp package

* Wed May 25 2016 luigiwalser <luigiwalser> 1.79-1.mga6
+ Revision: 1018505
- 1.79

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.78-1.mga6
+ Revision: 918853
- 1.78

* Fri Aug 21 2015 tmb <tmb> 1.76.1-2.mga6
+ Revision: 867857
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.76.1-1.mga6
+ Revision: 837355
- 1.76.1

* Wed Oct 15 2014 umeabot <umeabot> 1.75-3.mga5
+ Revision: 749486
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.75-2.mga5
+ Revision: 688661
- Mageia 5 Mass Rebuild

* Fri May 16 2014 luigiwalser <luigiwalser> 1.75-1.mga5
+ Revision: 623069
- 1.75

* Thu Oct 31 2013 tmb <tmb> 1.74-3.mga4
+ Revision: 548702
- switch from %%post to %%posttrans to help with deps ordering

* Tue Oct 22 2013 umeabot <umeabot> 1.74-2.mga4
+ Revision: 542015
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 blino <blino> 1.74-1.mga4
+ Revision: 496711
- 1.74
- rediff metric/symlink patches
- rediff "no type order" patch and add matching bits in list-records
- drop "path" patch (unneeded after /usr merge)
- drop nscd patches (service restard code has been dropped)

* Sun Mar 24 2013 colin <colin> 1.68-4.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Mon Jan 14 2013 umeabot <umeabot> 1.68-3.mga3
+ Revision: 380323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 blino <blino> 1.68-2.mga3
+ Revision: 323225
- restore symlink patch behavior: do not force /etc/resolv.conf to a symlink (broken by Rosa)

* Tue Oct 30 2012 luigiwalser <luigiwalser> 1.68-1.mga3
+ Revision: 311682
- 1.68 (sync with rosa)

* Sat Jul 21 2012 colin <colin> 1.46-2.mga3
+ Revision: 273192
- Switch to tmpfiles to create runtime files

* Thu Jan 13 2011 blino <blino> 1.46-1.mga1
+ Revision: 16412
- update man page
- rename patch suffix
- rename patch smoothing interfaces level
- remove old conflicts and triggers
- imported package resolvconf


* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 1.46-1mdv2011.0
+ Revision: 570147
- New version 1.46
- fix license

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.45-3mdv2010.1
+ Revision: 523919
- rebuilt for 2010.1

* Wed Sep 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.45-2mdv2010.0
+ Revision: 447844
- Update resolvconf init script priority when upgrading (#43654).

* Wed Aug 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.45-1mdv2010.0
+ Revision: 418252
- Update to new version 1.45
- Rediff mdvorder patch

* Tue Aug 18 2009 Colin Guthrie <cguthrie@mandriva.org> 1.41-5mdv2010.0
+ Revision: 417828
- Fix some errors relating to restarting nscd

* Mon Aug 10 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.41-4mdv2010.0
+ Revision: 414305
- Add standard chkconfig header to init script to prevent possible loops in prcsys.
  Use absolute path for resolv.conf (#49146).

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.41-3mdv2009.1
+ Revision: 351568
- rebuild

* Tue Aug 19 2008 Olivier Blin <oblin@mandriva.com> 1.41-2mdv2009.0
+ Revision: 273656
- require rpm-helper for post/preun (#40193)

* Tue Aug 05 2008 Olivier Blin <oblin@mandriva.com> 1.41-1mdv2009.0
+ Revision: 263872
- force creation of /var/run/resolvconf/resolv.conf at init since rc.sysinit removes it now
- rediff symlink patch
- 1.41

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.38-5mdv2009.0
+ Revision: 225318
- rebuild

* Fri Mar 14 2008 Olivier Blin <oblin@mandriva.com> 1.38-4mdv2008.1
+ Revision: 187994
- use same level for eth* ath* wlan* ppp*, to sort them by metric
- update metric patch to sort by metric each interface-order line individually
- update list-by-metric to sort arguments only if specified

* Fri Mar 14 2008 Olivier Blin <oblin@mandriva.com> 1.38-3mdv2008.1
+ Revision: 187814
- update list-by-metric to better handle routes with null metric or with link scope (#33256)
- restore BuildRoot

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 06 2007 Olivier Blin <oblin@mandriva.com> 1.37-8mdv2008.0
+ Revision: 49156
- start in runlevel 2 as well (thanks to Goetz Waschk)

* Fri May 04 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.37-7mdv2008.0
+ Revision: 22504
- oops, /var/run/resolvconf/interface got excluded, include it!

* Fri May 04 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.37-6mdv2008.0
+ Revision: 22184
- fix file inclusion

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.37-5mdv2008.0
+ Revision: 17509
- use subsys lock files not to be restarted when changing runlevels (thanks to fcrozat for the report)


* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 1.37-4mdv2007.1
+ Revision: 146573
- migrate resolv.conf to /etc/resolvconf/resolv.conf.d/tail on upgrades (#27947)
- package /etc/resolvconf/resolv.conf.d/tail
- mark config files as noreplace

* Wed Jan 03 2007 Olivier Blin <oblin@mandriva.com> 1.37-3mdv2007.1
+ Revision: 103610
- do not package russian man pages, they are not in sync
- update interface-order.5 and resolvconf.8 man page about metric usage
- update resolvconf.8 man page for Mandriva and merge REPORT_ABSENT_SYMLINK fix in patch
- keep patch backup files in build tree, remove them in buildroot only
- do not package patch backup files (#27913)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - add doc files

* Tue Jan 02 2007 Olivier Blin <oblin@mandriva.com> 1.37-1mdv2007.1
+ Revision: 103267
- 1.37
- add initscript (partly based on Debian's initscript)

* Thu Dec 21 2006 Olivier Blin <oblin@mandriva.com> 1.36-1mdv2007.1
+ Revision: 100884
- sort interface records by the related interface metric
- make /var/run/resolvconf/resolv.conf a symlink to /etc/resolv.conf
- more path fixes
- make the package noarch
- enable resolvconf updates by default (by touching /var/run/%%{name}/enable-updates)
- fix path for run-parts
- initial resolvconf package
- Create resolvconf

